
package de.ivu.elect.business.ergebnis.entity;

import javax.enterprise.event.Event;
import javax.inject.Inject;
import java.io.Serializable;

public class ZwischenergebnisBerechnenetEvent implements Serializable {

  private static final long serialVersionUID = 1L;
  private final ErgebnisPK ergebnisPK;

  @Inject
  private transient Event<ZwischenergebnisBerechnenetEvent> event;

  public ZwischenergebnisBerechnenetEvent() {
    this(null);
  }

  public ZwischenergebnisBerechnenetEvent(ErgebnisPK ergebnisPK) {
    this.ergebnisPK = ergebnisPK;
  }


  public void sendChangeEvent(ErgebnisPK ergebnisPK) {
    event.fire(new ZwischenergebnisBerechnenetEvent(ergebnisPK));
  }

  public ErgebnisPK getErgebnisPK() {
    return ergebnisPK;
  }
}